View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000682Ecere SDKidepublic2012-02-12 02:472013-09-23 07:37
Reporterjerome 
Assigned Toredj 
PriorityimmediateSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44.07Fixed in Version0.44.07 
Summary0000682: After a debug/launch failed due to missing Dll, Debugger is in the 'running' state
DescriptionIf at all possible with GDB, we should notice this and enter 'stopped' state
TagsNo tags attached.
Attached Filespng file icon missingDllLikeThatOrSomethingElse.png [^] (8,830 bytes) 2012-03-06 10:44

- Relationships

-  Notes
(0000508)
redj (administrator)
2012-03-06 10:45

see attached file: missingDllLikeThatOrSomethingElse.png

this is indeed leaving the debugger in a running state

that is what we're talking about, right?
(0000509)
redj (administrator)
2012-03-06 10:46

=thread-group-started,id="i1",pid="668"
=thread-created,id="1",group-id="i1"
~"[New Thread 668.0x7d0]\n"
^running
*running,thread-id="all"
(gdb)
~"gdb: unknown target exception 0xc0000135 at 0x7c9673be\n"
=thread-exited,id="1",group-id="i1"
=thread-group-exited,id="i1"
^error,msg="During startup program exited with code 0xc0000135."
(gdb)
(0000543)
jerome (administrator)
2012-03-27 17:58
edited on: 2012-03-27 18:26

I'm getting this missing Dll thing again, and now the whole IDE just jams dead!

Running in Debug mode, I got this output:


This application has requested the Runtime to terminate it in an unusual way.
Please contact the application's support team for more information.
WARNING: ProcessInput returned unlocked GUI!

This application has requested the Runtime to terminate it in an unusual way.
Please contact the application's support team for more information.


(This Warning means something Unlock()ed the GuiApplication mutex, e.g. app.Unlock(), and forgot to Lock() it again)

(0000544)
jerome (administrator)
2012-03-27 18:19

Redj's initial fix was https://github.com/ecere/sdk/commit/d2cb1b866f183c6e5bf5cff9911f942ab696cded [^]
(0000545)
jerome (administrator)
2012-03-27 18:26

Rather unrelated fix for lockups/memory corruption:
https://github.com/ecere/sdk/commit/3bf34588bb59ec600f8c8291c91db38db3353306 [^]

- Issue History
Date Modified Username Field Change
2012-02-12 02:47 jerome New Issue
2012-03-06 10:44 redj File Added: missingDllLikeThatOrSomethingElse.png
2012-03-06 10:45 redj Note Added: 0000508
2012-03-06 10:46 redj Note Added: 0000509
2012-03-06 11:00 redj Status new => resolved
2012-03-06 11:00 redj Resolution open => fixed
2012-03-06 11:00 redj Assigned To => redj
2012-03-08 15:33 redj Target Version old 0.44.pre2 => 0.44 Ryoan-ji
2012-03-08 18:07 redj Fixed in Version => 0.44 Ryoan-ji
2012-03-27 17:58 jerome Note Added: 0000543
2012-03-27 17:58 jerome Status resolved => assigned
2012-03-27 18:02 jerome Note Edited: 0000543
2012-03-27 18:19 jerome Note Added: 0000544
2012-03-27 18:26 jerome Note Added: 0000545
2012-03-27 18:26 jerome Status assigned => resolved
2012-03-27 18:26 jerome Fixed in Version 0.44 Ryoan-ji => 0.44.1 Android
2012-03-27 18:26 jerome Note Edited: 0000543
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK
2013-05-19 22:15 jerome Status resolved => closed
2013-09-23 07:34 jerome Fixed in Version 0.44.12 Fixes => 0.44 Ryoan-ji
2013-09-23 07:37 jerome Fixed in Version 0.44 Ryoan-ji => 0.44.07
2013-09-23 07:37 jerome Target Version 0.44 Ryoan-ji => 0.44.07



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker